package thyyxxk.webserver.entity.inpatient.patient;

import lombok.Data;

import java.util.Date;

/**
 * @author dj
 */
@Data
public class ZyInYbDiag {
    private Integer pid;
    private String inpatientNo;
    private Integer admissTimes;
    private Integer diagNo;
    private String property;
    private String icdCode;
    private String icdText;
    private String operId;
    private String operName;
    private String diagType;
    private Date opDate;
    private Integer siDiagType;

    public String getIcdCode() {
        return null == icdCode ? "" : icdCode.trim();
    }

    public String getIcdText() {
        return null == icdText ? "" : icdText.trim();
    }

    public String getProperty() {
        if (null == diagNo || diagNo == 1) {
            return "主要诊断";
        }
        return "次要诊断";
    }
}
